The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Is Sensor Config Modified

Prev Next

This URL provides the information whether sensor config has been modified and configuration update is pending to the Sensor. The configuration change details are provided as well.

Resource URL

GET /sensor/<sensor_id>/config/status

Request Parameters

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
deviceName Name of the device String
isSigsetConfigPushRequired Is sigset configuration required Boolean
isSSLPushRequired Policy visible to child domain Boolean
isBotnetPushRequired Firewall policy description Boolean
lastUpdateTime Last updated timestamp of the config push String
pendingChanges Configuration changes details Object
isGAMUpdateRequired Gateway Anti-Malware update on Sensor is required or not Boolean

Details of pendingChanges:

Field Name Description Data Type
isPolicyConfigurationChanged Policy configuration is changed or not Boolean
isConfigurationChanged Configuration is changed or not Boolean
isSignatureSetConfigurationChanged Sigset configuration is changed or not Boolean
isSSLConfigurationChanged SSL configuration is changed or not Boolean
isGloablPolicyConfigurationChanged Global policy configuration is changed or not Boolean

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/%20action/update_sensor_config

Response

{
	"deviceName" : "M-2950",
	"lastUpdateTime" : "2013-09-03 20:16:54.000 IST",
	"pendingChanges" : {
		"isPolicyConfigurationChanged" : true,
		"isConfigurationChanged" : false,
		"isMalwareConfigurationChanged" : false,
		"isSignatureSetConfigurationChanged" : false,
		"isSSLConfigurationChanged" : false,
		"isBotnetConfigurationChanged" : true,
		"isGloablPolicyConfigurationChanged" : false
	},
	"isSigsetConfigPushRequired" : true,
	"isSSLPushRequired" : false,
	"isBotnetPushRequired" : true
 "isGAMUpdateRequired": true
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor